Package net.shibboleth.idp.authn.principal

# Interface CloneablePrincipal

All Superinterfaces:
  `Cloneable`, `Principal`

All Known Implementing Classes:
  `AuthenticationMethodPrincipal`, `AuthnContextClassRefPrincipal`, `AuthnContextDeclPrincipal`, `AuthnContextDeclRefPrincipal`, `HOTPPrincipal`, `NameIdentifierPrincipal`, `NameIDPrincipal`, `PasswordPrincipal`, `TOTPPrincipal`, `UsernamePrincipal`

public interface CloneablePrincipal extends Principal, Cloneable
Principal that can be cloned without knowledge of the underlying type.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Creates and returns a copy of this object.

### Methods inherited from interface java.security.Principal

`equals, getName, hashCode, implies, toString`

## Method Details

### clone

@Nonnull Object clone() throws CloneNotSupportedException
Creates and returns a copy of this object.

Returns:
  a clone of this instance.
Throws:
  `CloneNotSupportedException` - if the instance cannot be cloned.
See Also:
  - `Object.clone()`